| Irrlicht 3D Engine |

Classes | Namespaces | Functions
IReadFile.h File Reference
`#include "IReferenceCounted.h"`
`#include "coreutil.h"`

Go to the source code of this file.

## Classes

- class irr::io::IReadFile
    Interface providing read acess to a file. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::io

    This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

## Functions

- IReadFile * irr::io::createLimitReadFile (const io::path &fileName, IReadFile *alreadyOpenedFile, long pos, long areaSize)
    Internal function, please do not use.
- IReadFile * irr::io::createMemoryReadFile (void *memory, long size, const io::path &fileName, bool deleteMemoryWhenDropped)
    Internal function, please do not use.
- IReadFile * irr::io::createReadFile (const io::path &fileName)
    Internal function, please do not use.